Debian Bug report logs - #697429
ITP: gitignore-boilerplates -- shell script for easily accessing gitignore boilerplate

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: TANIGUCHI Takaki <takaki@debian.org>

Date: Sat, 5 Jan 2013 09:00:01 UTC

Owned by: takaki@debian.org

Severity: wishlist

Tags: pending

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, takaki@debian.org, debian-devel@lists.debian.org, wnpp@debian.org, takaki@debian.org:
Bug#697429; Package wnpp. (Sat, 05 Jan 2013 09:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to TANIGUCHI Takaki <takaki@debian.org>:
New Bug report received and forwarded. Copy sent to takaki@debian.org, debian-devel@lists.debian.org, wnpp@debian.org, takaki@debian.org. (Sat, 05 Jan 2013 09:00:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: TANIGUCHI Takaki <takaki@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: gitignore-boilerplates -- shell script for easily accessing gitignore boilerplate
Date: Sat, 05 Jan 2013 17:06:36 +0900
Package: wnpp
Owner: takaki@debian.org
Severity: wishlist

* Package name    : gitignore-boilerplates
  Version         : 1.0.1
  Upstream Author : Simon Whitaker
* URL or Web page : https://github.com/simonwhitaker/gitignore-boilerplates
* License         : public domain
  Description     : shell script for easily accessing gitignore boilerplate

  This tool makes gitignore file. It gathers boilerplates from
  github.com/github/gitignore . These boilerplates include some
  typical purpose, for example, Python, Ruby, and other langauges, and
  Emacs, vim and other environments.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, takaki@debian.org:
Bug#697429; Package wnpp. (Sat, 05 Jan 2013 12:48:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonas Smedegaard <dr@jones.dk>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, takaki@debian.org. (Sat, 05 Jan 2013 12:48:07 GMT) Full text and rfc822 format available.

Message #10 received at 697429@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: TANIGUCHI Takaki <takaki@debian.org>, 697429@bugs.debian.org
Subject: Re: Bug#697429: ITP: gitignore-boilerplates -- shell script for easily accessing gitignore boilerplate
Date: Sat, 05 Jan 2013 13:45:58 +0100
[Message part 1 (text/plain, inline)]
Quoting TANIGUCHI Takaki (2013-01-05 09:06:36)
> Package: wnpp
> Owner: takaki@debian.org
> Severity: wishlist
> 
> * Package name    : gitignore-boilerplates
>   Version         : 1.0.1
>   Upstream Author : Simon Whitaker
> * URL or Web page : https://github.com/simonwhitaker/gitignore-boilerplates
> * License         : public domain
>   Description     : shell script for easily accessing gitignore boilerplate
> 
>   This tool makes gitignore file. It gathers boilerplates from
>   github.com/github/gitignore . These boilerplates include some
>   typical purpose, for example, Python, Ruby, and other langauges, and
>   Emacs, vim and other environments.

If I understand it correctly, this tool will connect to github at each 
use of it.

Would be nice if Debian version of the tool could be made to made to 
pass the "lonely island" test not only for source but also for runtime 
use: Include with the binary package snapshots of those boilerplate 
files, and use those by default, only fetching from github if explicitly 
requesting it.


 - Jonas

-- 
 * Jonas Smedegaard - idealist & Internet-arkitekt
 * Tlf.: +45 40843136  Website: http://dr.jones.dk/

 [x] quote me freely  [ ] ask before reusing  [ ] keep private
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, takaki@debian.org:
Bug#697429; Package wnpp. (Sat, 05 Jan 2013 14:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to TANIGUCHI Takaki <takaki@asis.media-as.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, takaki@debian.org. (Sat, 05 Jan 2013 14:06:03 GMT) Full text and rfc822 format available.

Message #15 received at 697429@bugs.debian.org (full text, mbox):

From: TANIGUCHI Takaki <takaki@asis.media-as.org>
To: Jonas Smedegaard <dr@jones.dk>
Cc: TANIGUCHI Takaki <takaki@debian.org>, 697429@bugs.debian.org
Subject: Re: Bug#697429: ITP: gitignore-boilerplates -- shell script for easily accessing gitignore boilerplate
Date: Sat, 05 Jan 2013 22:22:10 +0900
>>>>> On Sat, 05 Jan 2013 13:45:58 +0100
>>>>> dr@jones.dk(Jonas Smedegaard)  said:
> 
> [1  <text/plain; utf-8 (quoted-printable)>]
> Quoting TANIGUCHI Takaki (2013-01-05 09:06:36)
> > Package: wnpp
> > Owner: takaki@debian.org
> > Severity: wishlist
> > 
> > * Package name    : gitignore-boilerplates
> >   Version         : 1.0.1
> >   Upstream Author : Simon Whitaker
> > * URL or Web page : https://github.com/simonwhitaker/gitignore-boilerplates
> > * License         : public domain
> >   Description     : shell script for easily accessing gitignore boilerplate
> > 
> >   This tool makes gitignore file. It gathers boilerplates from
> >   github.com/github/gitignore . These boilerplates include some
> >   typical purpose, for example, Python, Ruby, and other langauges, and
> >   Emacs, vim and other environments.
> 
> If I understand it correctly, this tool will connect to github at each 
> use of it.

No, this tool connects github only at first time to create local cache
and explictly users order update the cache.

> Would be nice if Debian version of the tool could be made to made to 
> pass the "lonely island" test not only for source but also for runtime 
> use: Include with the binary package snapshots of those boilerplate 
> files, and use those by default, only fetching from github if explicitly 
> requesting it.
> 
> 
>  - Jonas
> 
> -- 
>  * Jonas Smedegaard - idealist & Internet-arkitekt
>  * Tlf.: +45 40843136  Website: http://dr.jones.dk/
> 
>  [x] quote me freely  [ ] ask before reusing  [ ] keep private
> [2 signature <application/pgp-signature; us-ascii (7bit)>]
> 
--
谷口 貴紀 (TANIGUCHI Takaki)    takaki@asis.media-as.org
http://takaki-web.media-as.org/ takaki@debian.org
http://facebook.com/taniguchi.takaki  http://twitter.com/takaki_t



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, takaki@debian.org:
Bug#697429; Package wnpp. (Sat, 05 Jan 2013 15:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonas Smedegaard <dr@jones.dk>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, takaki@debian.org. (Sat, 05 Jan 2013 15:27:06 GMT) Full text and rfc822 format available.

Message #20 received at 697429@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: TANIGUCHI Takaki <takaki@debian.org>, 697429@bugs.debian.org
Subject: Re: Bug#697429: ITP: gitignore-boilerplates -- shell script for easily accessing gitignore boilerplate
Date: Sat, 05 Jan 2013 16:24:29 +0100
[Message part 1 (text/plain, inline)]
Quoting TANIGUCHI Takaki (2013-01-05 14:22:10)
> > If I understand it correctly, this tool will connect to github at 
> > each use of it.
> 
> No, this tool connects github only at first time to create local cache 
> and explictly users order update the cache.

My main point was not "at every use", but "connect to github".



> > Would be nice if Debian version of the tool could be made to made to 
> > pass the "lonely island" test not only for source but also for 
> > runtime use: Include with the binary package snapshots of those 
> > boilerplate files, and use those by default, only fetching from 
> > github if explicitly requesting it.

...and therefore ny suggestion seems still valid, even if the tool do 
caching of github-fetched files.


 - Jonas

-- 
 * Jonas Smedegaard - idealist & Internet-arkitekt
 * Tlf.: +45 40843136  Website: http://dr.jones.dk/

 [x] quote me freely  [ ] ask before reusing  [ ] keep private
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, takaki@debian.org:
Bug#697429; Package wnpp. (Sat, 05 Jan 2013 15:45:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to TANIGUCHI Takaki <takaki@asis.media-as.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, takaki@debian.org. (Sat, 05 Jan 2013 15:45:08 GMT) Full text and rfc822 format available.

Message #25 received at 697429@bugs.debian.org (full text, mbox):

From: TANIGUCHI Takaki <takaki@asis.media-as.org>
To: Jonas Smedegaard <dr@jones.dk>
Cc: TANIGUCHI Takaki <takaki@debian.org>, 697429@bugs.debian.org
Subject: Re: Bug#697429: ITP: gitignore-boilerplates -- shell script for easily accessing gitignore boilerplate
Date: Sun, 06 Jan 2013 00:41:57 +0900
I can't understand what is the main point.

Do you think "connect to github" makes some kind of license problem?

>>>>> On Sat, 05 Jan 2013 16:24:29 +0100
>>>>> dr@jones.dk(Jonas Smedegaard)  said:
> 
> [1  <text/plain; utf-8 (quoted-printable)>]
> Quoting TANIGUCHI Takaki (2013-01-05 14:22:10)
> > > If I understand it correctly, this tool will connect to github at 
> > > each use of it.
> > 
> > No, this tool connects github only at first time to create local cache 
> > and explictly users order update the cache.
> 
> My main point was not "at every use", but "connect to github".
> 
> 
> 
> > > Would be nice if Debian version of the tool could be made to made to 
> > > pass the "lonely island" test not only for source but also for 
> > > runtime use: Include with the binary package snapshots of those 
> > > boilerplate files, and use those by default, only fetching from 
> > > github if explicitly requesting it.
> 
> ...and therefore ny suggestion seems still valid, even if the tool do 
> caching of github-fetched files.
> 
> 
>  - Jonas
> 
> -- 
>  * Jonas Smedegaard - idealist & Internet-arkitekt
>  * Tlf.: +45 40843136  Website: http://dr.jones.dk/
> 
>  [x] quote me freely  [ ] ask before reusing  [ ] keep private
> [2 signature <application/pgp-signature; us-ascii (7bit)>]
> 



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, takaki@debian.org:
Bug#697429; Package wnpp. (Sat, 05 Jan 2013 16:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonas Smedegaard <dr@jones.dk>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, takaki@debian.org. (Sat, 05 Jan 2013 16:39:05 GMT) Full text and rfc822 format available.

Message #30 received at 697429@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: TANIGUCHI Takaki <takaki@debian.org>, 697429@bugs.debian.org
Subject: Re: Bug#697429: ITP: gitignore-boilerplates -- shell script for easily accessing gitignore boilerplate
Date: Sat, 05 Jan 2013 17:38:19 +0100
[Message part 1 (text/plain, inline)]
Quoting TANIGUCHI Takaki (2013-01-05 16:41:57)
> I can't understand what is the main point.
> 
> Do you think "connect to github" makes some kind of license problem?

Not a license problem, but a tool that only works in concert with a 
non-free service arguably belongs in contrib, not main.

Even if acceptable in main, my point is that the Debian user experience 
would be improved by enhancing the tool to not rely on github service by 
default, only optionally.

I can understand how such independence from Github my very well not be 
an issue for (direct) Github users - but in that regard Debian users and 
Github users are not the same.


 - Jonas

-- 
 * Jonas Smedegaard - idealist & Internet-arkitekt
 * Tlf.: +45 40843136  Website: http://dr.jones.dk/

 [x] quote me freely  [ ] ask before reusing  [ ] keep private
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, takaki@debian.org:
Bug#697429; Package wnpp. (Sat, 05 Jan 2013 17:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to TANIGUCHI Takaki <takaki@asis.media-as.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, takaki@debian.org. (Sat, 05 Jan 2013 17:09:06 GMT) Full text and rfc822 format available.

Message #35 received at 697429@bugs.debian.org (full text, mbox):

From: TANIGUCHI Takaki <takaki@asis.media-as.org>
To: Jonas Smedegaard <dr@jones.dk>
Cc: TANIGUCHI Takaki <takaki@debian.org>, 697429@bugs.debian.org
Subject: Re: Bug#697429: ITP: gitignore-boilerplates -- shell script for easily accessing gitignore boilerplate
Date: Sun, 06 Jan 2013 02:08:03 +0900
That tool downloads from public repository. So it is not restricted
for github users. If you think that a package should not depend on 3rd
party's services, do you think that it is problem that Debian has
Twitter client packages?

>>>>> On Sat, 05 Jan 2013 17:38:19 +0100
>>>>> dr@jones.dk(Jonas Smedegaard)  said:
> 
> [1  <text/plain; utf-8 (quoted-printable)>]
> Quoting TANIGUCHI Takaki (2013-01-05 16:41:57)
> > I can't understand what is the main point.
> > 
> > Do you think "connect to github" makes some kind of license problem?
> 
> Not a license problem, but a tool that only works in concert with a 
> non-free service arguably belongs in contrib, not main.
> 
> Even if acceptable in main, my point is that the Debian user experience 
> would be improved by enhancing the tool to not rely on github service by 
> default, only optionally.
> 
> I can understand how such independence from Github my very well not be 
> an issue for (direct) Github users - but in that regard Debian users and 
> Github users are not the same.
> 
> 
>  - Jonas
> 
> -- 
>  * Jonas Smedegaard - idealist & Internet-arkitekt
>  * Tlf.: +45 40843136  Website: http://dr.jones.dk/
> 
>  [x] quote me freely  [ ] ask before reusing  [ ] keep private
> [2 signature <application/pgp-signature; us-ascii (7bit)>]
> 



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, takaki@debian.org:
Bug#697429; Package wnpp. (Sat, 05 Jan 2013 20:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonas Smedegaard <dr@jones.dk>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, takaki@debian.org. (Sat, 05 Jan 2013 20:27:03 GMT) Full text and rfc822 format available.

Message #40 received at 697429@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: TANIGUCHI Takaki <takaki@debian.org>, 697429@bugs.debian.org
Subject: Re: Bug#697429: ITP: gitignore-boilerplates -- shell script for easily accessing gitignore boilerplate
Date: Sat, 05 Jan 2013 21:24:00 +0100
[Message part 1 (text/plain, inline)]
Quoting TANIGUCHI Takaki (2013-01-05 18:08:03)
> That tool downloads from public repository. So it is not restricted 
> for github users.

Question is not if the service is public, but whether the tool which is 
shipped with Debian is usable only in cencert with something not 
DFSG-free.

Is gitignore-boilerplates usable only with Github, then I believe 
gitignore-boilerplates should be in contrib (not in main).


> If you think that a package should not depend on 3rd party's services, 
> do you think that it is problem that Debian has Twitter client 
> packages?

I do believe that tools usable _only_ with Twitter (not also e.g. a 
Twitter-compatible interface at Identi.ca) belongs in contrib, not main.

***

Independent(!) from the question of main versus contrib, my original 
point was (and still is) that I believe it would make a better 
experience for Debian users if gitignore-boilerplates as shipped with 
Debian could be made to not only do fetch-via-git-then-cache, but 
additionally (and, in my opinion, preferrably) do read-from-filesystem - 
and the package ship snapshots of the boilerplates offered upstream.


Regards,

 - Jonas

-- 
 * Jonas Smedegaard - idealist & Internet-arkitekt
 * Tlf.: +45 40843136  Website: http://dr.jones.dk/

 [x] quote me freely  [ ] ask before reusing  [ ] keep private
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, takaki@debian.org:
Bug#697429; Package wnpp. (Sun, 06 Jan 2013 05:30:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to TANIGUCHI Takaki <takaki@asis.media-as.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, takaki@debian.org. (Sun, 06 Jan 2013 05:30:02 GMT) Full text and rfc822 format available.

Message #45 received at 697429@bugs.debian.org (full text, mbox):

From: TANIGUCHI Takaki <takaki@asis.media-as.org>
To: Jonas Smedegaard <dr@jones.dk>
Cc: TANIGUCHI Takaki <takaki@debian.org>, 697429@bugs.debian.org
Subject: Re: Bug#697429: ITP: gitignore-boilerplates -- shell script for easily accessing gitignore boilerplate
Date: Sun, 06 Jan 2013 14:26:21 +0900
>>>>> On Sat, 05 Jan 2013 21:24:00 +0100
>>>>> dr@jones.dk(Jonas Smedegaard)  said:

> Question is not if the service is public, but whether the tool which is 
> shipped with Debian is usable only in cencert with something not 
> DFSG-free.
> 
> Is gitignore-boilerplates usable only with Github, then I believe 
> gitignore-boilerplates should be in contrib (not in main).

The boilerplate files is under DFSG-free license. And if the github
repository is closed, we can host git repository on other location.

> I do believe that tools usable _only_ with Twitter (not also e.g. a 
> Twitter-compatible interface at Identi.ca) belongs in contrib, not main.

Twitter is only a example. There are several pacakges which depend on
private company services.  If you think it is a problem, you should
also claim to remove several packages which depend on Google API.

> Independent(!) from the question of main versus contrib, my original 
> point was (and still is) that I believe it would make a better 
> experience for Debian users if gitignore-boilerplates as shipped with 
> Debian could be made to not only do fetch-via-git-then-cache, but 
> additionally (and, in my opinion, preferrably) do read-from-filesystem - 
> and the package ship snapshots of the boilerplates offered upstream.

Whether upstream author agree or not, I can ship the package with
snapshot files.  Because these are free. But I don't think it is
needed unless there is a cleary policy-violation.

> Regards,
> 
>  - Jonas
> 
> -- 
>  * Jonas Smedegaard - idealist & Internet-arkitekt
>  * Tlf.: +45 40843136  Website: http://dr.jones.dk/
> 
>  [x] quote me freely  [ ] ask before reusing  [ ] keep private
> [2 signature <application/pgp-signature; us-ascii (7bit)>]
> 
--
谷口 貴紀 (TANIGUCHI Takaki)    takaki@asis.media-as.org
http://takaki-web.media-as.org/ takaki@debian.org
http://facebook.com/taniguchi.takaki  http://twitter.com/takaki_t



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, takaki@debian.org:
Bug#697429; Package wnpp. (Sun, 06 Jan 2013 09:54:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonas Smedegaard <dr@jones.dk>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, takaki@debian.org. (Sun, 06 Jan 2013 09:54:05 GMT) Full text and rfc822 format available.

Message #50 received at 697429@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: TANIGUCHI Takaki <takaki@debian.org>, 697429@bugs.debian.org
Subject: Re: Bug#697429: ITP: gitignore-boilerplates -- shell script for easily accessing gitignore boilerplate
Date: Sun, 06 Jan 2013 10:52:15 +0100
[Message part 1 (text/plain, inline)]
Quoting TANIGUCHI Takaki (2013-01-06 06:26:21)
> >>>>> On Sat, 05 Jan 2013 21:24:00 +0100
> >>>>> dr@jones.dk(Jonas Smedegaard)  said:
> 
> > Question is not if the service is public, but whether the tool which 
> > is shipped with Debian is usable only in cencert with something not 
> > DFSG-free.
> > 
> > Is gitignore-boilerplates usable only with Github, then I believe 
> > gitignore-boilerplates should be in contrib (not in main).
> 
> The boilerplate files is under DFSG-free license. And if the github 
> repository is closed, we can host git repository on other location.

That is a different acceptable approach: When that is done the package 
makes sense to be in main, until then I believe it belongs in contrib.


> > I do believe that tools usable _only_ with Twitter (not also e.g. a 
> > Twitter-compatible interface at Identi.ca) belongs in contrib, not 
> > main.
> 
> Twitter is only a example. There are several pacakges which depend on 
> private company services.  If you think it is a problem, you should 
> also claim to remove several packages which depend on Google API.

Yes, I should report every bug that I come across.  But I believe this 
is what's called an ad hominem attack: You are arguing what I should do 
elsewhere.  That is not what we are discussing here.

Two wrongs don't make a right.  Just because Debian contains other bugs 
does not mean this is not a bug, or that this bug should not be treated 
as a bug.


> > Independent(!) from the question of main versus contrib, my original 
> > point was (and still is) that I believe it would make a better 
> > experience for Debian users if gitignore-boilerplates as shipped 
> > with Debian could be made to not only do fetch-via-git-then-cache, 
> > but additionally (and, in my opinion, preferrably) do 
> > read-from-filesystem - and the package ship snapshots of the 
> > boilerplates offered upstream.
> 
> Whether upstream author agree or not, I can ship the package with 
> snapshot files.  Because these are free. But I don't think it is 
> needed unless there is a cleary policy-violation.

Yes, this point is (in itself) only a suggestion, not a "need".


 - Jonas

-- 
 * Jonas Smedegaard - idealist & Internet-arkitekt
 * Tlf.: +45 40843136  Website: http://dr.jones.dk/

 [x] quote me freely  [ ] ask before reusing  [ ] keep private
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, takaki@debian.org:
Bug#697429; Package wnpp. (Mon, 07 Jan 2013 14:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Piotr Ożarowski <piotr@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, takaki@debian.org. (Mon, 07 Jan 2013 14:15:05 GMT) Full text and rfc822 format available.

Message #55 received at 697429@bugs.debian.org (full text, mbox):

From: Piotr Ożarowski <piotr@debian.org>
To: 697429@bugs.debian.org
Subject: Re: Bug#697429: ITP: gitignore-boilerplates -- shell script for easily accessing gitignore boilerplate
Date: Mon, 7 Jan 2013 15:12:17 +0100
[TANIGUCHI Takaki, 2013-01-05]
> Package: wnpp
> Owner: takaki@debian.org
> Severity: wishlist
> 
> * Package name    : gitignore-boilerplates
>   Version         : 1.0.1
>   Upstream Author : Simon Whitaker
> * URL or Web page : https://github.com/simonwhitaker/gitignore-boilerplates
> * License         : public domain
>   Description     : shell script for easily accessing gitignore boilerplate
> 
>   This tool makes gitignore file. It gathers boilerplates from
>   github.com/github/gitignore . These boilerplates include some
>   typical purpose, for example, Python, Ruby, and other langauges, and
>   Emacs, vim and other environments.

could you include https://github.com/github/gitignore.git in the
package (for those without internet connection or for those that want to
use these files without gibo script). TIA



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, takaki@debian.org:
Bug#697429; Package wnpp. (Mon, 07 Jan 2013 14:21:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to TANIGUCHI Takaki <takaki@asis.media-as.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, takaki@debian.org. (Mon, 07 Jan 2013 14:21:07 GMT) Full text and rfc822 format available.

Message #60 received at 697429@bugs.debian.org (full text, mbox):

From: TANIGUCHI Takaki <takaki@asis.media-as.org>
To: Piotr Ożarowski <piotr@debian.org>, 697429@bugs.debian.org
Subject: Re: Bug#697429: ITP: gitignore-boilerplates -- shell script for easily accessing gitignore boilerplate
Date: Mon, 07 Jan 2013 23:19:18 +0900
>>>>> On Mon, 7 Jan 2013 15:12:17 +0100
>>>>> piotr@debian.org(Piotr Ożarowski)  said:
> 
> [TANIGUCHI Takaki, 2013-01-05]
> > Package: wnpp
> > Owner: takaki@debian.org
> > Severity: wishlist
> > 
> > * Package name    : gitignore-boilerplates
> >   Version         : 1.0.1
> >   Upstream Author : Simon Whitaker
> > * URL or Web page : https://github.com/simonwhitaker/gitignore-boilerplates
> > * License         : public domain
> >   Description     : shell script for easily accessing gitignore boilerplate
> > 
> >   This tool makes gitignore file. It gathers boilerplates from
> >   github.com/github/gitignore . These boilerplates include some
> >   typical purpose, for example, Python, Ruby, and other langauges, and
> >   Emacs, vim and other environments.
> 
> could you include https://github.com/github/gitignore.git in the
> package (for those without internet connection or for those that want to
> use these files without gibo script). TIA

Yes. That repository is under DFSG-license.
--
谷口 貴紀 (TANIGUCHI Takaki)    takaki@asis.media-as.org
http://takaki-web.media-as.org/ takaki@debian.org
http://facebook.com/taniguchi.takaki  http://twitter.com/takaki_t



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Fri, 01 Nov 2013 07:06:04 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 12:11:01 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.